/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation, version 2.1 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not,
* see "http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html/".
*
* Description:
*
*/

#ifndef INTERFACE_H
#define INTERFACE_H

#include <QObject>
#include <QStringList>
#include <QLatin1String>
#include <xqserviceprovider.h>
#include <xqsharablefile.h>

class TestInterface : public XQServiceProvider
{
    Q_OBJECT

public:
    TestInterface(QString service, QString interface);
    ~TestInterface();

public slots:
    // request handling methods
    QStringList request(QString input);
    void asyncRequest(QString input); 
    void complete(int requestID, QString input);
    void view(QString pathOrUri);
    void view(XQSharableFile file);
    
private:
    QString mService;
    QString mInterface;
};

#endif // INTERFACE_H
